## ETableExtras

ETableExtras

## Functions

ETableExtras * | e_table_extras_new ()
void | e_table_extras_add_cell ()
ECell * | e_table_extras_get_cell ()
void | e_table_extras_add_compare ()
GCompareDataFunc | e_table_extras_get_compare ()
gboolean | (*ETableSearchFunc) ()
void | e_table_extras_add_search ()
ETableSearchFunc | e_table_extras_get_search ()
void | e_table_extras_add_icon_name ()
const gchar * | e_table_extras_get_icon_name ()

## Types and Values

struct | ETableExtras

## Object Hierarchy

        GObject
        ╰── ETableExtras

## Description

## Functions

### e_table_extras_new ()

    ETableExtras *
    e_table_extras_new (void);

### e_table_extras_add_cell ()

    void
    e_table_extras_add_cell (ETableExtras *extras,
                             const gchar *id,
                             ECell *cell);

### e_table_extras_get_cell ()

    ECell *
    e_table_extras_get_cell (ETableExtras *extras,
                             const gchar *id);

### e_table_extras_add_compare ()

    void
    e_table_extras_add_compare (ETableExtras *extras,
                                const gchar *id,
                                GCompareDataFunc compare);

### e_table_extras_get_compare ()

    GCompareDataFunc
    e_table_extras_get_compare (ETableExtras *extras,
                                const gchar *id);

### ETableSearchFunc ()

    gboolean
    (*ETableSearchFunc) (gconstpointer haystack,
                         const gchar *needle);

### e_table_extras_add_search ()

    void
    e_table_extras_add_search (ETableExtras *extras,
                               const gchar *id,
                               ETableSearchFunc search);

### e_table_extras_get_search ()

    ETableSearchFunc
    e_table_extras_get_search (ETableExtras *extras,
                               const gchar *id);

### e_table_extras_add_icon_name ()

    void
    e_table_extras_add_icon_name (ETableExtras *extras,
                                  const gchar *id,
                                  const gchar *icon_name);

### e_table_extras_get_icon_name ()

    const gchar *
    e_table_extras_get_icon_name (ETableExtras *extras,
                                  const gchar *id);

## Types and Values

### struct ETableExtras

    struct ETableExtras;